Compiling gawk-2.15.6 with ELF-gcc

Compiling gawk-2.15.6 with ELF-gcc

Post by Volker Schmi » Mon, 14 Aug 1995 04:00:00



On the way of recompiling my system to complete ELF-binaries the
compiling of gawk-2.15.6 succeeds with gcc-2.7.0 and libc-5.0.9.
But a 'make test' fails for two, or three test-files.

Does anyone know, how to solve this?

-volker
--

Es gibt drei Dinge, von denen man nie wei?, wie sie enden:
Liebe, Revolution und Karriere.

 
 
 

1. Gawk-2.15.6 & gcc-2.70 in ELF, testing

While recompiling gawk-2.15.6 I trapped onto some difficulties:

cd gawk-2.15.6
./configure linux
vi Makefile       # Changed: -g off, -O2 -fomit-frame-pointer
make              # Compiles straight
make test
# Barfing about problems on "arrayparam" and two others

A real test running my C-News let C-News crash.

My developing enviroment here is: gcc-2.70, libc-5.0.9, make-3.7.1
bash-1.14.4.

Has anyone compiled & tested it fine under linux in ELF? Any hints also
appreciated.

Please do also a CC to my EMail address.

Thanks.

-volker
--

Es gibt drei Dinge, von denen man nie wei?, wie sie enden:
Liebe, Revolution und Karriere.

2. SOLVED: Netscape delays in starting up

3. GAWK 2.15.6 with ELF gcc-2.7.0 & libc-5.0.9 & linux

4. PPP - More than name and password required

5. problems compiling modules1.2.8 with Elf-gcc

6. index in loop, problem

7. compile gawk-2.15.2 ?

8. Disk write error when processing more than 1 GB

9. GCC 2.7.2 , XFree86 , ELF not compiling shared ?

10. can gcc 2.6.3 compile NON-ELF kernel?

11. Problem: Compiling kernel w/ gcc-elf

12. gcc compiled, but won't execute with ELF.

13. error compiling kernel after upgraded to gcc 2.7.0 and elf lib 5.0.9